| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | Properties

# IG::Num::Experimental::MX Class Reference

Defines some mathematical functions to be used in derived classes. Beside the auxiliary functions already in class M, this class also defines functions that use type xdouble instead of double. * Standard mathematical functions and constants with short names are implemented, e.g. sin() instesd of Math.Sin().** These functions are static such that they can be used out of the derived classes, too.** Some functions are defined with several names, in order to reduce probability of errors in scripts.** Functions operate on the type xdouble rather than double, such that operator ^ can be used in expressions. More...

Inheritance diagram for IG::Num::Experimental::MX:
[legend]
Collaboration diagram for IG::Num::Experimental::MX:
[legend]

List of all members.

## Static Public Member Functions
static xdouble | Abs (xdouble a)
| Absolute value.
static xdouble | abs (xdouble a)
| Absolute value.
static xdouble | Acos (xdouble a)
| Returns the angle whose cosine is the specified number.
static xdouble | acos (xdouble a)
| Returns the angle whose cosine is the specified number.
static xdouble | arccos (xdouble a)
| Returns the angle whose cosine is the specified number.
static xdouble | Asin (xdouble a)
| Returns the angle whose sine is the specified number.
static xdouble | asin (xdouble a)
| Returns the angle whose sine is the specified number.
static xdouble | arcsin (xdouble a)
| Returns the angle whose sine is the specified number.
static xdouble | Atan (xdouble a)
| Returns the angle whose tangent is the specified number.
static xdouble | atan (xdouble a)
| Returns the angle whose tangent is the specified number.
static xdouble | arctan (xdouble a)
| Returns the angle whose tangent is the specified number.
static xdouble | arctg (xdouble a)
| Returns the angle whose tangent is the specified number.
static xdouble | Atan2 (xdouble a, xdouble b)
| Returns the angle whose tangent is the quotient of two specified numbers.
static xdouble | atan2 (xdouble a, xdouble b)
| Returns the angle whose tangent is the quotient of two specified numbers.
static xdouble | arctan2 (xdouble a, xdouble b)
| Returns the angle whose tangent is the quotient of two specified numbers.
static xdouble | arctg2 (xdouble a, xdouble b)
| Returns the angle whose tangent is the quotient of two specified numbers.
static xdouble | Ceiling (xdouble a)
| Returns the smallest integral value that is greater than or equal to the specified decimal number.
static xdouble | ceiling (xdouble a)
| Returns the smallest integral value that is greater than or equal to the specified decimal number.
static xdouble | ceil (xdouble a)
| Returns the smallest integral value that is greater than or equal to the specified decimal number.
static xdouble | Cos (xdouble a)
| Returns the cosine of the specified angle.
static xdouble | cos (xdouble a)
| Returns the cosine of the specified angle.
static xdouble | Cosh (xdouble a)
| Returns the hyperbolic cosine of the specified angle.
static xdouble | cosh (xdouble a)
| Returns the hyperbolic cosine of the specified angle.
static xdouble | ch (xdouble a)
| Returns the hyperbolic cosine of the specified angle.
static xdouble | Exp (xdouble a)
| Returns e raised to the specified power.
static xdouble | exp (xdouble a)
| Returns e raised to the specified power.
static xdouble | Floor (xdouble a)
| Returns the largest integer less than or equal to the specified number.
static xdouble | floor (xdouble a)
| Returns the largest integer less than or equal to the specified number.
static xdouble | Log (xdouble a)
| Returns the natural (base e) logarithm of a specified number.
static xdouble | log (xdouble a)
| Returns the natural (base e) logarithm of a specified number.
static xdouble | ln (xdouble a)
| Returns the natural (base e) logarithm of a specified number.
static xdouble | Log10 (xdouble a)
| Returns the base 10 logarithm of a specified number.
static xdouble | log10 (xdouble a)
| Returns the base 10 logarithm of a specified number.
static xdouble | lg (xdouble a)
| Returns the base 10 logarithm of a specified number.
static xdouble | Log2 (xdouble a)
| Returns the base 2 logarithm of a specified number.
static xdouble | log2 (xdouble a)
| Returns the base 2 logarithm of a specified number.
static xdouble | Log (xdouble a, xdouble logBase)
| Returns the logarithm of a specified number in a specified base.
static xdouble | log (xdouble a, xdouble logBase)
| Returns the logarithm of a specified number in a specified base.
static xdouble | Max (xdouble a, xdouble b)
| Returns the larger of two numbers.
static xdouble | max (xdouble a, xdouble b)
| Returns the larger of two numbers.
static xdouble | Min (xdouble a, xdouble b)
| Returns the smaller of two numbers.
static xdouble | min (xdouble a, xdouble b)
| Returns the smaller of two numbers.
static xdouble | Pow (xdouble a, xdouble b)
| Returns a specified number raised to the specified power.
static xdouble | pow (xdouble a, xdouble b)
| Returns a specified number raised to the specified power.
static xdouble | Sign (xdouble a)
| Returns a value indicating the sign of a number.
static xdouble | sign (xdouble a)
| Returns a value indicating the sign of a number.
static xdouble | sgn (xdouble a)
| Returns a value indicating the sign of a number.
static xdouble | Sin (xdouble a)
| Returns the sine of the specified angle.
static xdouble | sin (xdouble a)
| Returns the sine of the specified angle.
static xdouble | Sinh (xdouble a)
| Returns the hyperbolic sine of the specified angle.
static xdouble | sinh (xdouble a)
| Returns the hyperbolic sine of the specified angle.
static xdouble | sh (xdouble a)
| Returns the hyperbolic sine of the specified angle.
static xdouble | Sqr (xdouble a)
| Returns the square of a specified number.
static xdouble | sqr (xdouble a)
| Returns the square of a specified number.
static xdouble | Cube (xdouble a)
| Returns the square of a specified number.
static xdouble | cube (xdouble a)
| Returns the square of a specified number.
static xdouble | Sqrt (xdouble a)
| Returns the square root of a specified number.
static xdouble | sqrt (xdouble a)
| Returns the square root of a specified number.
static xdouble | Tan (xdouble a)
| Returns the tangent of the specified angle.
static xdouble | tan (xdouble a)
| Returns the tangent of the specified angle.
static xdouble | tg (xdouble a)
| Returns the tangent of the specified angle.
static xdouble | Tanh (xdouble a)
| Returns the hyperbolic tangent of the specified angle.
static xdouble | tanh (xdouble a)
| Returns the hyperbolic tangent of the specified angle.
static xdouble | th (xdouble a)
| Returns the hyperbolic tangent of the specified angle.
static xdouble | Truncate (xdouble a)
| Calculates the integral part of a specified double-precision floating-point number.
static xdouble | truncate (xdouble a)
| Calculates the integral part of a specified number.
static xdouble | trunc (xdouble a)
| Calculates the integral part of a specified number.
## Properties
static new xdouble | E`[get]`
| Natural logarithmic base.
static new xdouble | e`[get]`
| Natural logarithmic base.
static new xdouble | Pi`[get]`
| Ratio of the circumference of a circle to its diameter.
static new xdouble | pi`[get]`
| Ratio of the circumference of a circle to its diameter.
static new xdouble | Zero`[get]`
| Zero (value 0.0).
static new xdouble | zero`[get]`
| Zero (value 0.0).
static new xdouble | One`[get]`
| One (value 1.0).
static new xdouble | one`[get]`
| One (value 1.0).

## Detailed Description

Defines some mathematical functions to be used in derived classes. Beside the auxiliary functions already in class M, this class also defines functions that use type xdouble instead of double.

* Standard mathematical functions and constants with short names are implemented, e.g. sin() instesd of Math.Sin().

** These functions are static such that they can be used out of the derived classes, too.

** Some functions are defined with several names, in order to reduce probability of errors in scripts.

** Functions operate on the type xdouble rather than double, such that operator ^ can be used in expressions.

## Member Function Documentation

static xdouble IG::Num::Experimental::MX::Abs | ( | xdouble | a | ) | `[inline, static]`

Absolute value.

static xdouble IG::Num::Experimental::MX::abs | ( | xdouble | a | ) | `[inline, static]`

Absolute value.

static xdouble IG::Num::Experimental::MX::Acos | ( | xdouble | a | ) | `[inline, static]`

Returns the angle whose cosine is the specified number.

static xdouble IG::Num::Experimental::MX::acos | ( | xdouble | a | ) | `[inline, static]`

Returns the angle whose cosine is the specified number.

static xdouble IG::Num::Experimental::MX::arccos | ( | xdouble | a | ) | `[inline, static]`

Returns the angle whose cosine is the specified number.

static xdouble IG::Num::Experimental::MX::Asin | ( | xdouble | a | ) | `[inline, static]`

Returns the angle whose sine is the specified number.

static xdouble IG::Num::Experimental::MX::asin | ( | xdouble | a | ) | `[inline, static]`

Returns the angle whose sine is the specified number.

static xdouble IG::Num::Experimental::MX::arcsin | ( | xdouble | a | ) | `[inline, static]`

Returns the angle whose sine is the specified number.

static xdouble IG::Num::Experimental::MX::Atan | ( | xdouble | a | ) | `[inline, static]`

Returns the angle whose tangent is the specified number.

static xdouble IG::Num::Experimental::MX::atan | ( | xdouble | a | ) | `[inline, static]`

Returns the angle whose tangent is the specified number.

static xdouble IG::Num::Experimental::MX::arctan | ( | xdouble | a | ) | `[inline, static]`

Returns the angle whose tangent is the specified number.

static xdouble IG::Num::Experimental::MX::arctg | ( | xdouble | a | ) | `[inline, static]`

Returns the angle whose tangent is the specified number.

static xdouble IG::Num::Experimental::MX::Atan2 | ( | xdouble | a,
|  | xdouble | b
| ) |  | `[inline, static]`

Returns the angle whose tangent is the quotient of two specified numbers.

static xdouble IG::Num::Experimental::MX::atan2 | ( | xdouble | a,
|  | xdouble | b
| ) |  | `[inline, static]`

Returns the angle whose tangent is the quotient of two specified numbers.

static xdouble IG::Num::Experimental::MX::arctan2 | ( | xdouble | a,
|  | xdouble | b
| ) |  | `[inline, static]`

Returns the angle whose tangent is the quotient of two specified numbers.

static xdouble IG::Num::Experimental::MX::arctg2 | ( | xdouble | a,
|  | xdouble | b
| ) |  | `[inline, static]`

Returns the angle whose tangent is the quotient of two specified numbers.

static xdouble IG::Num::Experimental::MX::Ceiling | ( | xdouble | a | ) | `[inline, static]`

Returns the smallest integral value that is greater than or equal to the specified decimal number.

static xdouble IG::Num::Experimental::MX::ceiling | ( | xdouble | a | ) | `[inline, static]`

Returns the smallest integral value that is greater than or equal to the specified decimal number.

static xdouble IG::Num::Experimental::MX::ceil | ( | xdouble | a | ) | `[inline, static]`

Returns the smallest integral value that is greater than or equal to the specified decimal number.

static xdouble IG::Num::Experimental::MX::Cos | ( | xdouble | a | ) | `[inline, static]`

Returns the cosine of the specified angle.

static xdouble IG::Num::Experimental::MX::cos | ( | xdouble | a | ) | `[inline, static]`

Returns the cosine of the specified angle.

static xdouble IG::Num::Experimental::MX::Cosh | ( | xdouble | a | ) | `[inline, static]`

Returns the hyperbolic cosine of the specified angle.

static xdouble IG::Num::Experimental::MX::cosh | ( | xdouble | a | ) | `[inline, static]`

Returns the hyperbolic cosine of the specified angle.

static xdouble IG::Num::Experimental::MX::ch | ( | xdouble | a | ) | `[inline, static]`

Returns the hyperbolic cosine of the specified angle.

static xdouble IG::Num::Experimental::MX::Exp | ( | xdouble | a | ) | `[inline, static]`

Returns e raised to the specified power.

static xdouble IG::Num::Experimental::MX::exp | ( | xdouble | a | ) | `[inline, static]`

Returns e raised to the specified power.

static xdouble IG::Num::Experimental::MX::Floor | ( | xdouble | a | ) | `[inline, static]`

Returns the largest integer less than or equal to the specified number.

static xdouble IG::Num::Experimental::MX::floor | ( | xdouble | a | ) | `[inline, static]`

Returns the largest integer less than or equal to the specified number.

static xdouble IG::Num::Experimental::MX::Log | ( | xdouble | a | ) | `[inline, static]`

Returns the natural (base e) logarithm of a specified number.

static xdouble IG::Num::Experimental::MX::log | ( | xdouble | a | ) | `[inline, static]`

Returns the natural (base e) logarithm of a specified number.

static xdouble IG::Num::Experimental::MX::ln | ( | xdouble | a | ) | `[inline, static]`

Returns the natural (base e) logarithm of a specified number.

static xdouble IG::Num::Experimental::MX::Log10 | ( | xdouble | a | ) | `[inline, static]`

Returns the base 10 logarithm of a specified number.

static xdouble IG::Num::Experimental::MX::log10 | ( | xdouble | a | ) | `[inline, static]`

Returns the base 10 logarithm of a specified number.

static xdouble IG::Num::Experimental::MX::lg | ( | xdouble | a | ) | `[inline, static]`

Returns the base 10 logarithm of a specified number.

static xdouble IG::Num::Experimental::MX::Log2 | ( | xdouble | a | ) | `[inline, static]`

Returns the base 2 logarithm of a specified number.

static xdouble IG::Num::Experimental::MX::log2 | ( | xdouble | a | ) | `[inline, static]`

Returns the base 2 logarithm of a specified number.

static xdouble IG::Num::Experimental::MX::Log | ( | xdouble | a,
|  | xdouble | logBase
| ) |  | `[inline, static]`

Returns the logarithm of a specified number in a specified base.

Parameters:

  a | Number whose logarithm is returned.
  logBase | Base of the logarithm.

static xdouble IG::Num::Experimental::MX::log | ( | xdouble | a,
|  | xdouble | logBase
| ) |  | `[inline, static]`

Returns the logarithm of a specified number in a specified base.

Parameters:

  a | Number whose logarithm is returned.
  logBase | Base of the logarithm.

static xdouble IG::Num::Experimental::MX::Max | ( | xdouble | a,
|  | xdouble | b
| ) |  | `[inline, static]`

Returns the larger of two numbers.

static xdouble IG::Num::Experimental::MX::max | ( | xdouble | a,
|  | xdouble | b
| ) |  | `[inline, static]`

Returns the larger of two numbers.

static xdouble IG::Num::Experimental::MX::Min | ( | xdouble | a,
|  | xdouble | b
| ) |  | `[inline, static]`

Returns the smaller of two numbers.

static xdouble IG::Num::Experimental::MX::min | ( | xdouble | a,
|  | xdouble | b
| ) |  | `[inline, static]`

Returns the smaller of two numbers.

static xdouble IG::Num::Experimental::MX::Pow | ( | xdouble | a,
|  | xdouble | b
| ) |  | `[inline, static]`

Returns a specified number raised to the specified power.

static xdouble IG::Num::Experimental::MX::pow | ( | xdouble | a,
|  | xdouble | b
| ) |  | `[inline, static]`

Returns a specified number raised to the specified power.

static xdouble IG::Num::Experimental::MX::Sign | ( | xdouble | a | ) | `[inline, static]`

Returns a value indicating the sign of a number.

static xdouble IG::Num::Experimental::MX::sign | ( | xdouble | a | ) | `[inline, static]`

Returns a value indicating the sign of a number.

static xdouble IG::Num::Experimental::MX::sgn | ( | xdouble | a | ) | `[inline, static]`

Returns a value indicating the sign of a number.

static xdouble IG::Num::Experimental::MX::Sin | ( | xdouble | a | ) | `[inline, static]`

Returns the sine of the specified angle.

static xdouble IG::Num::Experimental::MX::sin | ( | xdouble | a | ) | `[inline, static]`

Returns the sine of the specified angle.

static xdouble IG::Num::Experimental::MX::Sinh | ( | xdouble | a | ) | `[inline, static]`

Returns the hyperbolic sine of the specified angle.

static xdouble IG::Num::Experimental::MX::sinh | ( | xdouble | a | ) | `[inline, static]`

Returns the hyperbolic sine of the specified angle.

static xdouble IG::Num::Experimental::MX::sh | ( | xdouble | a | ) | `[inline, static]`

Returns the hyperbolic sine of the specified angle.

static xdouble IG::Num::Experimental::MX::Sqr | ( | xdouble | a | ) | `[inline, static]`

Returns the square of a specified number.

static xdouble IG::Num::Experimental::MX::sqr | ( | xdouble | a | ) | `[inline, static]`

Returns the square of a specified number.

static xdouble IG::Num::Experimental::MX::Cube | ( | xdouble | a | ) | `[inline, static]`

Returns the square of a specified number.

static xdouble IG::Num::Experimental::MX::cube | ( | xdouble | a | ) | `[inline, static]`

Returns the square of a specified number.

static xdouble IG::Num::Experimental::MX::Sqrt | ( | xdouble | a | ) | `[inline, static]`

Returns the square root of a specified number.

static xdouble IG::Num::Experimental::MX::sqrt | ( | xdouble | a | ) | `[inline, static]`

Returns the square root of a specified number.

static xdouble IG::Num::Experimental::MX::Tan | ( | xdouble | a | ) | `[inline, static]`

Returns the tangent of the specified angle.

static xdouble IG::Num::Experimental::MX::tan | ( | xdouble | a | ) | `[inline, static]`

Returns the tangent of the specified angle.

static xdouble IG::Num::Experimental::MX::tg | ( | xdouble | a | ) | `[inline, static]`

Returns the tangent of the specified angle.

static xdouble IG::Num::Experimental::MX::Tanh | ( | xdouble | a | ) | `[inline, static]`

Returns the hyperbolic tangent of the specified angle.

static xdouble IG::Num::Experimental::MX::tanh | ( | xdouble | a | ) | `[inline, static]`

Returns the hyperbolic tangent of the specified angle.

static xdouble IG::Num::Experimental::MX::th | ( | xdouble | a | ) | `[inline, static]`

Returns the hyperbolic tangent of the specified angle.

static xdouble IG::Num::Experimental::MX::Truncate | ( | xdouble | a | ) | `[inline, static]`

Calculates the integral part of a specified double-precision floating-point number.

static xdouble IG::Num::Experimental::MX::truncate | ( | xdouble | a | ) | `[inline, static]`

Calculates the integral part of a specified number.

static xdouble IG::Num::Experimental::MX::trunc | ( | xdouble | a | ) | `[inline, static]`

Calculates the integral part of a specified number.

## Property Documentation

new xdouble IG::Num::Experimental::MX::E`[static, get]`

Natural logarithmic base.

Reimplemented from IG::Num::MExt.

new xdouble IG::Num::Experimental::MX::e`[static, get]`

Natural logarithmic base.

Reimplemented from IG::Num::M.

new xdouble IG::Num::Experimental::MX::Pi`[static, get]`

Ratio of the circumference of a circle to its diameter.

Reimplemented from IG::Num::MExt.

new xdouble IG::Num::Experimental::MX::pi`[static, get]`

Ratio of the circumference of a circle to its diameter.

Reimplemented from IG::Num::M.

new xdouble IG::Num::Experimental::MX::Zero`[static, get]`

Zero (value 0.0).

Reimplemented from IG::Num::MExt.

new xdouble IG::Num::Experimental::MX::zero`[static, get]`

Zero (value 0.0).

Reimplemented from IG::Num::M.

new xdouble IG::Num::Experimental::MX::One`[static, get]`

One (value 1.0).

Reimplemented from IG::Num::MExt.

new xdouble IG::Num::Experimental::MX::one`[static, get]`

One (value 1.0).

Reimplemented from IG::Num::M.

The documentation for this class was generated from the following file:

- UtilMath.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events